#ifndef TRANSADF_PKZIP_H
#define TRANSADF_PKZIP_H

/*---------------------*/
/* PKZip file routines */
/*---------------------*/

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif /* EXEC_TYPES_H */

#ifndef DOS_DOS_H
#include <dos/dos.h>
#endif /* DOS_DOS_H */


/*---------------------*/
/* Function prototypes */
/*---------------------*/

BOOL   writePKZHead     (BPTR outFile, STRPTR origName);
BOOL   finishPKZFile    (BPTR outFile, ULONG CRC, ULONG CSize, ULONG USize);
BOOL   writePKZHeadAdd  (BPTR outFile, STRPTR origName);
BOOL   finishPKZFileAdd (BPTR outFile, ULONG CRC, ULONG CSize, ULONG USize);
BOOL   skipPKZHead      (BPTR inFile, STRPTR origName);
BOOL   readPKZTail      (BPTR inFile, ULONG *CRC, ULONG *USize);


#endif /* TRANSADF_PKZIP_H */
